# Summary
- [Introduction](introduction.md)



# Python Guides for DTU Courses
- [Polytech Foundation](course_guides/polytech/README.md)
	- [01001/01003 - Mathematics 1a](course_guides/polytech/01001_01003.md)
	- [02002/02003 - Computer Programming](course_guides/polytech/02002_02003.md)
- [DTU Compute](course_guides/dtu_compute/README.md)
	- [02502 - Image Analysis](course_guides/dtu_compute/02502.md)



# Computer Essentials
- [Handbook of Presumed Knowledge](basics/nonobvious_stuff/README.md)
	- ["File"? "Filesystem"?](basics/nonobvious_stuff/files.md)
	- [Your password sucks...](basics/nonobvious_stuff/passwords.md)
	- ["Command"? "Executable"?](basics/nonobvious_stuff/execute.md)
	- [...and so does the internet!](basics/nonobvious_stuff/http.md)
	- [Licenses - "Can I Use That Code?"](basics/nonobvious_stuff/foss.md)
	- [Markdown: The Gentler Text Format](basics/nonobvious_stuff/markdown.md)
	- [Professionals > Sum of Tools](basics/nonobvious_stuff/conclusion.md)

- [The Terminal: How I Learned to Stop Worrying and Love the Shell 🐚](basics/terminal/README.md)
	- [Linux\*](basics/terminal/linux.md)
	- [Windows - Powershell](basics/terminal/windows.md)
	- [Mac](basics/terminal/mac.md)



# Installing Python w/Packages
- [Getting System Python 🐍](installing/native/README.md)
	- [Debian](installing/native/debian.md)
	- [Ubuntu](installing/native/ubuntu.md)
	- [Arch](installing/native/arch.md)
	- [Fedora](installing/native/fedora.md)
	- [Windows](installing/native/windows.md)
	- [macOS](installing/native/mac.md)

- [Getting Python Packages 📦](installing/packages/README.md)
	- [Getting Packages - `venv`](installing/packages/venv.md)
	- [Saving Packages - `requirements.txt`](installing/packages/requirements.txt.md)



# Managing Python Projects
- [Software Collaboration Essentials](projects/collaboration/README.md)
	- ["Collaborative Complexity": Story of 1000 Monkeys 🐒](projects/collaboration/monkeys.md)
	- [A Practical Guide to `git` 🍌](projects/collaboration/git.md)

- [Anatomy of a Python Project 🚧](projects/simple/README.md)
	- [pyproject.toml](projects/simple/pyproject.toml.md)
	- [poetry](projects/simple/poetry.md)

- [Filling the Python Toolbelt](projects/tooling/README.md)
	- [Auto-Formatting](projects/tooling/formatting.md)
	- [Code Quality Analysis](projects/tooling/quality.md)
	- [Parameterized Testing](projects/tooling/testing.md)
	- [Type Checking](projects/tooling/types.md)
	- [Containerization](projects/tooling/containers.md)
	- ["Do I need all this?"](projects/tooling/conclusion.md)

- [Anatomy of a Serious (TM) Python Project 🚧🚧](projects/real_world/README.md)
	- [podman + poetry](projects/real_world/podman_poetry.md)
	- [.editorconfig](projects/real_world/editorconfig.md)
	- [ruff](projects/real_world/ruff.md)
	- [black](projects/real_world/black.md)
	- [pre-commit](projects/real_world/pre_commit.md)
	- [run.py](projects/real_world/run.py.md)



# Reference
- [Cheat Sheets](reference/cheat_sheets/README.md)
	- [Terminal Cheat Sheet](reference/cheat_sheets/terminal.md)
	- [git Cheat Sheet](reference/cheat_sheets/git.md)
	- [Python Built-In Cheat Sheet](reference/cheat_sheets/stdlib.md)
	- [Python Package Cheat Sheet](reference/cheat_sheets/package.md)

- [Tips & Tricks](reference/tips/README.md)
	- [\[Student\] Sofus' Hot Takes](reference/tips/sofus.md)

- [Managed Ecosystems](installing/ecosystems/README.md)
	- [conda](installing/ecosystems/conda.md)



# Meta
- [Improve This Book: We Need You!](meta/contributing/README.md)
	- [How To: Report Mistakes/Bugs/Confusion](meta/contributing/bugs.md)
	- [How To: Run/Change this Book Locally](meta/contributing/preview.md)
	- [How To: Propose a Change](meta/contributing/change.md)
