# DTU Python Support Guide
Welcome!
This book is written to help DTU students install and use Python at DTU.
Use the left sidebar to find the guide you're looking for.

You can expect guides explaining:
- **Python in DTU Courses**: Helping you use Python in specific courses.
- **Computer Essentials**: Helping anybody that uses software as a tool get a sense of the essential ideas behind how computers work.
- **Installing Python w/Packages**: Helping you install Python, and Python packages like `numpy`, on any OS.
- **Managing Python Projects**: Helping you use Python on a team, with just enough tools to make your life easier.
- **Reference**: Resources for you! Cheat sheets, tips & tricks, and more niche ways of installing and using Python.
- **Meta**: Step-by-step instruction for reporting mistakes and helping improve this book. We need you!

We **strongly suggest** you engage with the Support Team and/or your fellow students on our help forum, <https://chat.timesigned.com>.
Login is your **DTU account**.

We hope you find this book useful!



# Development & Contribution
If you find the book useful, please help us make it better by reporting bugs and/or helping improve the book!
- Source Code: <https://git.sofus.io/python-support/site-support>
- Current Issues / Roadmap: <https://git.sofus.io/python-support/site-support/issues>
- Current Proposed Changes: <https://git.sofus.io/python-support/site-support/pulls>

You can find detailed detailed instructions on how to contribute at the [dedicated page of the book](./meta/contributing/README.md).



# License
This book is released under the [AGPL software license](https://www.tldrlegal.com/license/gnu-affero-general-public-license-v3-agpl-3-0).
In general (**NOTE: This is not legal advice, and is not legally binding**), the AGPL is designed to protect your freedom to ex. use, sell, modify, and distribute the contents of the book & associated source code, so long as you *also extend the same freedoms to anybody you distribute it/derivative works to*.

For the legally valid license terms, please refer to the full license text: <https://www.gnu.org/licenses/agpl-3.0.en.html>.
