*To be Finished...*

*Important to me is the intuition that allows me to express any engineering needs "semantically". This involves trying to remain curious, and not simply take the "easy" way (at least, what seems easy ,but isn't. Global variables and for..append come to mind), but to make a goal of exploring new ways to more elegantly express concepts whenever using any tool. For fun, for some, but more importantly, to be better at mapping engineering needs to the abilities of my tools.*

Some initial stuff I think is nice to start with.
- `import this`: I think PEP 20 really sets the tone for the whole 'computational thinking' buzz. 10min evangelizing it is time well-spent. I think so, anyway :)
- `help(anything)` and `dir()`: Python's own help system is actually quite nice. People should know built-in help systems like this. It especially helps when trying to figure out what to google / cutting through too-dense library documentation.

Moving past day 1:
- `complex(real = 1, imag = 2)`: Complex numbers got you down? No they don't :)!
- `range(10, -1, -1)`: That `range` is [s,e) with a direction too is strange at first, and trying to parse this is a helpful explainer.
- `from pathlib import Path`: It's not immediately obvious what's wrong with `open("C:\Users\MrBean\...")`, until your TA / friend / cat tries to run the code. `pathlib` has been solving headaches since 2012's PEP 428.
- `{s % 2 for s in range(10)}`: Friends don't let friends `for...append`! Especially not when deduplication is desired! Set comprehensions are near-magic, and so are their cousins (list-comprehensions, dict-comprehensions)!

What about day 3?
- `with open(...) as f: ...`: `close()` has icky `free(*ptr)` vibes. `with` has such a nice mental model, which I feel everyone using Python deserves to be introduced to.
- (3.11+ only) `settings_dict = tomllib.load(settings_file)`: Most people will need to have a way of configuring a script one day. Config files are nice for doing that without asking people to change source code. TOML is one of the simplest and least brittle. *Hopefully PEP 723 makes it through, in which case having met TOML will be even more vital!*
- `itertools.count`: That iterators can run forever, and that this is super useful, is one of those "aha" moments that I can get behind. "But when does it stop them?", well - whenever it's done, just hit that `break` :)!
- `functools.lru_cache`: Recursive `fibbonacci` is nice. But it's slow, you say! `lru_cache` makes it fast, by keeping the function result around if the function is ever called with the same arguments. The insight of, "wait, this will break horribly if the result ever changes with the same arguments" is a healthy one. The dangers of caching is one of those things we don't really believe until it's too late.

There are more, of course; `re` with regex101.com should be common knowledge, as should `shutil` for the more dangerous filesystem operations, `subprocess.run` to run shell commands, `print(file=<some_file_object>)` to print directly to an `open()`ed file, and so on... It is all subjective anyway. Go play!
